#--------------------------------------------------------------------------
#
#   HXFS 2019 - About Screen
#
#--------------------------------------------------------------------------

from pygame.locals import *
from albow.screen import Screen
from albow.resource import get_image

class AboutScreen(Screen):

    bg_image = get_image("about.png")

    def key_down(self, e):
        if e.key == K_ESCAPE:
            self.leave()
        else:
            Screen.key_down(self, e)

    def mouse_down(self, e):
        self.leave()

    def leave(self):
        self.shell.leave_about_screen()

# class IntroScreen(AboutScreen):
# 
#     def leave(self):
#         self.shell.show_play_screen()
