#--------------------------------------------------------------------------
#
#   HXFS 2019 - Game
#
#--------------------------------------------------------------------------

from humerus.hgame import HGame
from options import options
from flexagon import Flexagon

#--------------------------------------------------------------------------

class Game(HGame):

    app_magic = "HXFS"
    save_file_suffix = ".hxfg"

    frame_time = 1.0 / options.frame_rate_option
    
    FLEX_TOOL = 0
    SPLIT_TOOL = 1

    def __init__(self):
        self.current_tool = self.FLEX_TOOL

#     def begin_frame(self):
#         self.playing_level.begin_frame(self.frame_time)

    def new_state(self):
        return Flexagon()

#--------------------------------------------------------------------------

game = Game()
